CityEngine 2016, Eclipse error when running rule

652
1
Jump to solution
04-26-2021 08:36 PM
Labels (1)
ÓrlaHammond
New Contributor II

I'm running CityEngine 2016.1.

Whenever I try to run a rule file I get this error (screenshots attached): 

Error Message: Unable to create menu item "org.eclipse.jdt.ui.edit.text.java.correction.assist.proposals", command "org.eclipse.jdt.ui.edit.text.java.correction.assist.proposals" not defined

Referred to plug-in: org.eclipse.ui

I don't get this error when running smaller rule files, only a large one. I'm wondering if I'm am missing a plugin that needs to be installed?

Any and all help is much appreciated!

0 Kudos
1 Solution

Accepted Solutions
ÓrlaHammond
New Contributor II

I figured it out. My copy of CityEngine 2016 was missing some plugins, namely the org.eclipse.jdt plugins.

I copied them from the CityEngine 2020 plugin library, pasted them into the CityEngine 2016 plugin library and restarted the programme. The rule file is running as expected now.

View solution in original post

0 Kudos
1 Reply
ÓrlaHammond
New Contributor II

I figured it out. My copy of CityEngine 2016 was missing some plugins, namely the org.eclipse.jdt plugins.

I copied them from the CityEngine 2020 plugin library, pasted them into the CityEngine 2016 plugin library and restarted the programme. The rule file is running as expected now.

0 Kudos